ranges::views::tokenize_base_fn Struct Reference
Inheritance diagram for ranges::views::tokenize_base_fn:

## Public Member Functions

template<typename Rng , typename Regex >
auto | operator() (Rng &&rng, Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const -> tokenize_view< all_t< Rng >, detail::decay_t< Regex >, int > requires bidirectional_range< Rng > &&common_range< Rng > &&same_as< range_value_t< Rng >, typename detail::decay_t< Regex >::value_type >
template<typename Rng , typename Regex >
auto | operator() (Rng &&rng, Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const -> tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::vector< int >> requires bidirectional_range< Rng > &&common_range< Rng > &&same_as< range_value_t< Rng >, typename detail::decay_t< Regex >::value_type >
template<typename Rng , typename Regex >
auto | operator() (Rng &&rng, Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const -> tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::initializer_list< int >> requires bidirectional_range< Rng > &&common_range< Rng > &&same_as< range_value_t< Rng >, typename detail::decay_t< Regex >::value_type >